import sys
from PySide.QtCore import * 
from PySide.QtGui import * 

#################################################################### 
def main(): 
    app = QApplication(sys.argv) 
    w = MyWindow() 
    w.show() 
    sys.exit(app.exec_()) 
 

####################################################################
class MyWindow(QWidget): 
    def __init__(self, *args): 
        QWidget.__init__(self, *args)

        # create objects
        self.le = MyLineEdit()
        self.la2 = QLabel("\nPress keys:")
        self.le3 = QLabel("\nValue:")
        self.le2 = QLineEdit()

        # layout
        layout = QVBoxLayout()
        layout.addWidget(self.la2)
        layout.addWidget(self.le)
        layout.addWidget(self.le3)
        layout.addWidget(self.le2)
        self.setLayout(layout)

        # connections
        self.connect(self.le, SIGNAL("keyPressed"),
                     self.update)

    def update(self):
        newtext = str(self.le2.text()) 
        newtext = str(KeyValue)
        self.le2.setText(newtext)

####################################################################
class MyLineEdit(QLineEdit):
    def __init__(self, *args):
        QLineEdit.__init__(self, *args)
        
    def event(self, event):
    	global KeyValue
        if (event.type()==QEvent.KeyPress):
	    KeyValue = event.key()
            self.emit(SIGNAL("keyPressed"))

        return QLineEdit.event(self, event)

####################################################################
if __name__ == "__main__": 
    main()
